PDA

View Full Version : Dependency problem while yum updating :



Caraibes
14th April 2007, 02:07 PM
Hi all,

This morning, I had some updates (FC6, i386, desktop) but I ran into some dependency problems, here´ s the details :


[martin@spc1 ~]$ su
Mot de passe :
[root@spc1 martin]# yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Didier 100% |=========================| 951 B 00:00
livna 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 1.2 kB 00:00
core 100% |=========================| 1.1 kB 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kmod-ntfs.i686 0:2.1.28-1.2.6.20_1.2944.fc6 set to be installed
---> Package kernel.i686 0:2.6.20-1.2944.fc6 set to be installed
---> Package xine-lib-extras-nonfree.i386 0:1.1.5-1.lvn6 set to be updated
---> Package kernel-headers.i386 0:2.6.20-1.2944.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: xine-lib = 1.1.5 for package: xine-lib-extras-nonfree
--> Finished Dependency Resolution
--> Populating transaction set with selected packages. Please wait.
---> Package kmod-ntfs.i686 0:2.1.28-1.2.6.20_1.2925.fc6 set to be erased
---> Package kernel.i686 0:2.6.20-1.2925.fc6 set to be erased
--> Running transaction check
--> Processing Dependency: xine-lib = 1.1.5 for package: xine-lib-extras-nonfree
--> Finished Dependency Resolution
Error: Missing Dependency: xine-lib = 1.1.5 is needed by package xine-lib-extras-nonfree
[root@spc1 martin]#

If any of you more experienced users has an idea to help me out, it would be great.

Thank you in advance for your time.

markkuk
14th April 2007, 02:26 PM
Your Fedora Extras mirror hasn't yet received the latest xine packages. Try again later.

glennzo
14th April 2007, 02:33 PM
I had the same problem this morning. Tried a little later and it worked fine. In the future, you can uncheck the ones that have missing dependencies and update all the others.

Caraibes
14th April 2007, 02:47 PM
Thank you guys, I will do as you said...

bob
14th April 2007, 02:49 PM
Alternatives for this kind of problem are using Yumex and un-selecting the dependency or using yum.sh :http://forums.fedoraforum.org/showthread.php?t=152834 There is a plugin for yum that is supposed to bypass the dependency issues: yum-skip-broken, but frankly it's never worked for me.

Caraibes
14th April 2007, 11:05 PM
Well, here's the feedback : it was exactly like you said... I tried in the afternoon and all worked like a charm ! So far, FC6 never gave me any problem since I installed it... I am almost scared to upgrade to F7 !!!

Seve
15th April 2007, 01:11 AM
... I am almost scared to upgrade to F7 !!!
Hello:

Go ahead ...... live dangerously :)

Just wait for the actual the release and you should be fine.

F7 Schedule Check (http://fedoraproject.org/wiki/Releases/7/Schedule)

Seve